package mapped;

import java.util.Comparator;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSAbstractUserComparator;

@ObfuscatedName("rn")
public abstract class AbstractUserComparator implements Comparator, RSAbstractUserComparator {
   @ObfuscatedName("ah")
   Comparator nextComparator;

   @ObfuscatedName("az")
   @ObfuscatedSignature(
      descriptor = "(Ljava/util/Comparator;I)V",
      garbageValue = "1936813741"
   )
   final void addComparator_base(Comparator var1) {
      if(this.nextComparator == null) {
         this.nextComparator = var1;
      } else if(this.nextComparator instanceof AbstractUserComparator) {
         ((AbstractUserComparator)this.nextComparator).addComparator_base(var1);
      }

   }

   @ObfuscatedName("ap")
   @ObfuscatedSignature(
      descriptor = "(Lrf;Lrf;I)I",
      garbageValue = "-94519432"
   )
   protected final int method8173(User var1, User var2) {
      return this.nextComparator == null?0:this.nextComparator.compare(var1, var2);
   }

   public boolean equals(Object var1) {
      return super.equals(var1);
   }

   @ObfuscatedName("av")
   @ObfuscatedSignature(
      descriptor = "(Ljava/lang/String;B)V",
      garbageValue = "-50"
   )
   static final void method8173_base(String var0) {
      WorldMapArea.method4622_base("Please remove " + var0 + " from your ignore list first");
   }
}
